diff --git a/tools/do_cinderella.sh b/tools/do_cinderella.sh
index bdf8bf59574599c07cad2be8461abba935eebcdf..ded348d756ce1430cf25024576fb397ded11ba52 100755
--- a/tools/do_cinderella.sh
+++ b/tools/do_cinderella.sh
@@ -31,9 +31,15 @@ $SECURITY_TRANSFORMS_HOME/tools/cinderella/cinderella_prep.exe $cloneid
 $SECURITY_TRANSFORMS_HOME/tools/cgclibc/display_functions.exe $cloneid | grep "^function" | cut -d' ' -f2 > cinderella.functions.all 
 
 # produce a zipr'd version so that we can dynamically test behavior
-echo "Cinderella: Produce zipr'ed test version: id: $cloneid"
+echo "cinderella: Produce zipr'ed test version: id: $cloneid"
 $ZIPR_INSTALL/bin/zipr.exe -v $cloneid -c $ZIPR_INSTALL/bin/callbacks.cinderella.exe -j $PS_OBJCOPY
 mv b.out.addseg $TESTABLE
+if [ ! $? -eq 0 ];then
+  echo "cinderella: ERROR -- unable to weave in cinderella testing zipr callback"
+  exit 1
+fi
+
+echo "cinderella: testable: $TESTABLE"
 
 #----------------------------------------------------------------
 # We now have a Zipr'd binary in which we inserted a testing loop